﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.3
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
			
End Sub

' Read preferencias y write preferencias (config.txt) en los terminales.
public Sub ReadConfig
	Dim TextReader1 As TextReader
	Dim line As String
	'
	If Not (File.Exists(Main.cRutadir,Main.cfConfig)) Then
		WriteConfig( True )  ' Es primera vez, lo creamos, con datos por defecto.
	End If
	'
	TextReader1.Initialize(File.OpenInput(Main.cRutadir, Main.cfConfig))
	line = TextReader1.ReadLine
	Do While line <> Null
		If 			line.StartsWith(Main.kcL0) Then
			Main.cL0 = (line.SubString(line.IndexOf("=")+1).Trim)			
		Else If line.StartsWith(Main.kcL1) Then
			Main.cL1 = (line.SubString(line.IndexOf("=")+1).Trim)			
		Else If line.StartsWith(Main.kcL2) Then
			Main.cL2 = (line.SubString(line.IndexOf("=")+1).Trim)
		Else If line.StartsWith(Main.kcL3) Then
			Main.cL3 = (line.SubString(line.IndexOf("=")+1).Trim)
		Else If line.StartsWith(Main.kcL5) Then
			Main.cL5 = (line.SubString(line.IndexOf("=")+1).Trim)
		else if line.StartsWith(Main.kcTMparpadeo) Then
			Main.iTiempoParpadeo = String2Int( (line.SubString(line.IndexOf("=")+1).Trim)	)
		else if line.StartsWith(Main.kcTMshow) Then
			Main.iTiempoShow = String2Int( (line.SubString(line.IndexOf("=")+1).Trim)	)
		else if line.StartsWith(Main.kcRutaServer) Then
			Main.cRutaServer = (line.SubString(line.IndexOf("=")+1).Trim)
		End If
		'
		line = TextReader1.ReadLine
	Loop	
	TextReader1.Close	
End Sub

' Si bCrear es true, lo creamos con datos por defecto
public Sub WriteConfig( bCrear As Boolean )
	Dim TextWriter1 As TextWriter
	'
	TextWriter1.Initialize(File.OpenOutput(Main.cRutaDir, Main.cfConfig, False))
	'
	If bCrear Then
		If Main.cL0="" Then
			Main.cL0 = "CONSULTAR PRECIO DE ARTÍCULO"
		End If
		If Main.cL1="" Then
			Main.cL1 = "Empresa Talycual, SL"
		End If
		If Main.cL2="" Then
			Main.cL2 = "La mejor calidad"
		End If
		If Main.cL3="" Then
			Main.cL3 = "Acerque el código de barras"
		End If
'		Main.cL4 = "" ' es la flecha
		Main.cL5 = ""
		Main.iTiempoParpadeo = 1000
		Main.iTiempoShow = 3000
		'
		If Main.cRutaServer="" Then
			Main.cRutaServer = "http://192.168.1.89:8080/soap/IwsNewGES2000"
		End If
	End If
	'
	If Main.iTiempoParpadeo=0 Then Main.iTiempoParpadeo=1000
	If Main.iTiempoShow=0 Then Main.iTiempoShow=3000
	'
	TextWriter1.WriteLine(Main.kcL0&Main.cL0)
	TextWriter1.WriteLine(Main.kcL1&Main.cL1)
	TextWriter1.WriteLine(Main.kcL2&Main.cL2)
	TextWriter1.WriteLine(Main.kcL3&Main.cL3)
'	TextWriter1.WriteLine(Main.kcL4&Main.cL4) ' es la flecha
	TextWriter1.WriteLine(Main.kcL5&Main.cL5)
	TextWriter1.WriteLine(Main.kcTMparpadeo&Main.iTiempoParpadeo)
	TextWriter1.WriteLine(Main.kcTMshow&Main.iTiempoShow)
	TextWriter1.WriteLine(Main.kcRutaServer&Main.cRutaServer)
	'
	TextWriter1.Flush
	TextWriter1.Close
End Sub

' recibe un string y devuelve un número, si es un número válido. Devuelve 0 en caso contrario
Sub String2Int (cS As String) As Int
	If IsNumber(cS) Then
		Return cS
	Else
		Return 0
	End If
End Sub
